Package net.dona.doip.client

## Class DigitalObject

- java.lang.Object
- - net.dona.doip.client.DigitalObject

-     public class DigitalObject
      extends java.lang.Object

  A Java representation of a Digital Object.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `com.google.gson.JsonObject` | `attributes` | The attributes of the object.
    `java.util.List<Element>` | `elements` | The elements of the object.
    `java.lang.String` | `id` | The identifier of the object.
    `java.lang.String` | `type` | The type of the object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DigitalObject()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setAttribute​(java.lang.String name, com.google.gson.JsonElement att)` | A convenience method that sets an attribute on the object.
    `void` | `setAttribute​(java.lang.String name, java.lang.String att)` | A convenience method that sets an attribute on the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          public java.lang.String id

      The identifier of the object.

    - #### type

          public java.lang.String type

      The type of the object.

    - #### attributes

          public com.google.gson.JsonObject attributes

      The attributes of the object.

    - #### elements

          public java.util.List<Element> elements

      The elements of the object.

  - ### Constructor Detail

    - #### DigitalObject

          public DigitalObject()

  - ### Method Detail

    - #### setAttribute

          public void setAttribute​(java.lang.String name,
                                   com.google.gson.JsonElement att)

      A convenience method that sets an attribute on the object.
      Parameters:
        `name` - the name of the attribute
        `att` - the value to set

    - #### setAttribute

          public void setAttribute​(java.lang.String name,
                                   java.lang.String att)

      A convenience method that sets an attribute on the object.
      Parameters:
        `name` - the name of the attribute
        `att` - the value to set as a String